CSQRT(3)

NAME
csqrt, csqrtf, csqrtl - complex square root functions

LIBRARY
libm

SYNOPSIS
#include <complex.h>
double complex
csqrt(double complex z);
float complex
csqrtf(float complex z);
long double complex
csqrtl(long double complex z);

DESCRIPTION
The csqrt(), csqrtf(), and csqrtl() functions compute the square root of z in the complex plane, with a branch cut along the negative real axis. In other words, csqrt(), csqrtf(), and csqrtl() always return the square root whose real part is non-negative.

RETURN VALUES
These functions return the requested square root. The square root of 0 is +0 0, where the imaginary parts of the input and respective result have the same sign. For infinities and s, the following rules apply, with the earlier rules having precedence:
Input | Result | k + *I + *I (for all k) - + *I *I + *I + *I k + *I + *I + k*I + *I - + k*I +0 + *I + k*I + 0*I

For numbers with negative imaginary parts, the above special cases apply given the identity:
    csqrt(conj(z) = conj(sqrt(z))
Note that the sign of is indeterminate. Also, if the real or imaginary part of the input is finite and an is generated, an invalid exception will be thrown.

SEE ALSO
cabs(3), fenv(3), math(3)

STANDARDS
The csqrt(), csqrtf(), and csqrtl() functions conform to isoC-99.

BUGS
For csqrt() and csqrtl(), inexact results are not always correctly rounded.